/* A sample ARexx program to create a "marquis"                */
/* Execute it by entering "rx :rexx/marquis your name"         */
/* For best results, run using the "ConMan" console handler    */

trace off
parse arg YourName                     /* the critic's name    */

/* Open our "marquis" window                                   */
call open out,"con://640/60/Matinee Today  Shows at 2:30 and 4:30/ds"
if ~result then do
   say "Open failure ... sorry"
   exit 10
   end

header = 'Now Playing on an Amiga near you!'
call writech out,'9B'x || '1;22H' || header

/* Print out the critical acclaim                              */
call writech out,"9b"x || "5;10HTasty! ... T. Rex"

if YourName = '' then YourName = '(YOUR NAME HERE)'
call writech out,"9b"x || "5;40HEntertaining! ..." YourName

call writech out,'9B302070'x           /* invisible cursor     */
/* Cycle the message for a few times                           */
message = "ARexx ... the interactive language for you!    "
do for 5
   do i=1 to length(message)
      NewChar = '9B33 3B37 3548'x || substr(message,i,1)
      call writech out,'9B 333B 3548 9B50'x || NewChar
      end
   end

/* No need to close the output file ... happens automagically  */
exit
